% get data for assignments: 57073.1, you may use 
% matlab online: https://ww2.mathworks.cn/en/products/matlab-online.html 
% https://ww2.mathworks.cn/en/support/learn-with-matlab-tutorials.html
clear %clear data
clc   %clear screen
close all %close all figures
clear
close all
clc
%capture voiced sound
%fname="num1.wav";
fname="num5.wav";

[sig,fs]=audioread(fname);%x=data,fs=sampling_rate,nbits=num_bits
s=sig(:,1); %get one channel from stereo sound
start=13470; %starting place for voiced sound (vowel sound)
frame_size=1024; % one frame
x=s(start:start+frame_size-1);
figure(1)
clf
subplot(3,1,1);
plot(x)
ylabel("x signal frame")
xlabel("time 1024 samples")


subplot(3,1,2);
hamming=hamming(frame_size);
plot(hamming)
ylabel("hamming")
xlabel("time 1024 samples")

subplot(3,1,3);

x1=hamming.*x;
plot(x1)
ylabel("x1 windowed")
xlabel("time 1024 samples")

'you may use x1 and s for assignments'
